OpenVDB 5.1.0

Public Types | Static Public Member Functions | List of all members
LeafManagerImpl< ManagerT > Struct Template Reference

`#include <LeafManager.h>`

## Public Types
using | RangeT = typename ManagerT::RangeType
using | LeafT = typename ManagerT::LeafType
using | BufT = typename ManagerT::BufferType

## Static Public Member Functions
static void | doSwapLeafBuffer (const RangeT &r, size_t auxBufferIdx, LeafT **leafs, BufT *bufs, size_t bufsPerLeaf)

## Detailed Description

### template<typename ManagerT>
struct openvdb::v5_1::tree::LeafManagerImpl< ManagerT >

This helper class implements LeafManager methods that need to be specialized for const vs. non-const trees.

## Member Typedef Documentation

## ◆ BufT

using BufT = typename ManagerT::BufferType

## ◆ LeafT

using LeafT = typename ManagerT::LeafType

## ◆ RangeT

using RangeT = typename ManagerT::RangeType

## Member Function Documentation

## ◆ doSwapLeafBuffer()

static void doSwapLeafBuffer | ( | const RangeT & | r,
|  | size_t | auxBufferIdx,
|  | LeafT ** | leafs,
|  | BufT * | bufs,
|  | size_t | bufsPerLeaf
| ) |  |
| inline static

The documentation for this struct was generated from the following file:

- LeafManager.h